Results 1 to 13 of 13
Like Tree1Likes
  • 1 Post By calebrun
  1.    #1  
    Hi all webos fans,

    I had OpenVPN working fine for some weeks now. I'm not using it very often, but need it sometime.

    Recentrly I could not start it, facing the following error message :
    - - - -
    openvpn: error while loading shared libraries: liblzo2.so.2: cannot open shared object file: No such file or directory
    - - - -

    I've tried to uninstall OpenVPN, LZO, and OpenSSL from the Pre3, and then reinstall. This uninstall+reinstall process went with success, but no luck, I still got the error while starting OpenVPN.

    I have searched this file :

    > find / -name "liblzo2*" -print
    /opt/lib/liblzo2.so.2.0.0
    /media/cryptofs/apps/usr/palm/applications/mobi.optware.lzo/opt/lib/liblzo2.so.2.0.0


    I cheked in /opt/lib : the first entry above is a link to the second file under /media/cryptofs....
    c-rwxrwxrwx 1 root root 116828 May 14 2010 liblzo2.so.2.0.0

    But I noticed that I had more links for the liblzo.so than for the liblzo2 in /opt/lib :
    liblzo.so -> liblzo.so.1.0.0
    liblzo.so.1 -> liblzo.so.1.0.0
    liblzo.so.1.0.0 -> /media/cryptofs/apps/usr/palm/applications/mobi.optware.lzo/opt/lib/liblzo.so.1.0.0
    liblzo2.so.2.0.0 -> /media/cryptofs/apps/usr/palm/applications/mobi.optware.lzo/opt/lib/liblzo2.so.2.0.0


    I created the missing links on liblzo2 with ln command :
    ln liblzo2.so.2.0.0 liblzo2.so.2
    ln liblzo2.so.2.0.0 liblzo2.so

    and voila... IT WORKS NOW !

    Just to help if someone else is facing that kind of error...

    Charly
    Palm TC, T3, T5, TX, Treo680, Centro and HP Pre3
    devil.insulted likes this.
  2. #2  
    This has solved my issue I really appreciate your help.
  3. #3  
    The information solved the same problem in my Pre3 as well. Thanks a lot!
  4. #4  
    I've pushed lzo_2.03-2 which should fix this. Expect to see it in the feeds within the hour.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  5. #5  
    Quote Originally Posted by rwhitby View Post
    I've pushed lzo_2.03-2 which should fix this. Expect to see it in the feeds within the hour.

    -- Rod
    Issue Persists Even After This Update.
    Please Confirm If Someone Else Has Tried It?
  6. #6  
    This problem is actually easier to solve than that. Just add /opt/lib to /etc/ld.so.conf and then run "ldconfig".
  7. #7  
    Quote Originally Posted by mbainter View Post
    This problem is actually easier to solve than that. Just add /opt/lib to /etc/ld.so.conf and then run "ldconfig".
    All optware executables are compiled with a run-time link option pointing to /opt/lib - running ldconfig should never be required for anything you install via Preware.

    -- Rod
    WebOS Internals and Preware Founder and Developer
    You may wish to donate by Paypal to donations @ webos-internals.org if you find our work useful.
    All donations go back into development.
    www.webos-internals.org twitter.com/webosinternals facebook.com/webosinternals
  8. #8  
    Quote Originally Posted by calebrun View Post
    Hi all webos fans,

    I had OpenVPN working fine for some weeks now. I'm not using it very often, but need it sometime.

    Recentrly I could not start it, facing the following error message :
    - - - -
    openvpn: error while loading shared libraries: liblzo2.so.2: cannot open shared object file: No such file or directory
    - - - -

    I've tried to uninstall OpenVPN, LZO, and OpenSSL from the Pre3, and then reinstall. This uninstall+reinstall process went with success, but no luck, I still got the error while starting OpenVPN.

    I have searched this file :

    > find / -name "liblzo2*" -print
    /opt/lib/liblzo2.so.2.0.0
    /media/cryptofs/apps/usr/palm/applications/mobi.optware.lzo/opt/lib/liblzo2.so.2.0.0


    I cheked in /opt/lib : the first entry above is a link to the second file under /media/cryptofs....
    c-rwxrwxrwx 1 root root 116828 May 14 2010 liblzo2.so.2.0.0

    But I noticed that I had more links for the liblzo.so than for the liblzo2 in /opt/lib :
    liblzo.so -> liblzo.so.1.0.0
    liblzo.so.1 -> liblzo.so.1.0.0
    liblzo.so.1.0.0 -> /media/cryptofs/apps/usr/palm/applications/mobi.optware.lzo/opt/lib/liblzo.so.1.0.0
    liblzo2.so.2.0.0 -> /media/cryptofs/apps/usr/palm/applications/mobi.optware.lzo/opt/lib/liblzo2.so.2.0.0


    I created the missing links on liblzo2 with ln command :
    ln liblzo2.so.2.0.0 liblzo2.so.2
    ln liblzo2.so.2.0.0 liblzo2.so

    and voila... IT WORKS NOW !

    Just to help if someone else is facing that kind of error...

    Charly
    I'm having the same error/problem and i'm running lzo_2.03-2. Tried to create the LN items and keep getting permission errors. Any ideas?
  9.    #9  
    Quote Originally Posted by rufus279 View Post
    I'm having the same error/problem and i'm running lzo_2.03-2. Tried to create the LN items and keep getting permission errors. Any ideas?
    Hi Rufus,


    1. Did you try the new package proposed by Rwhitby ?
    2. Did you first upgrade to root priviledge using the "su" command ?


    I used the 2nd ...

    Hope this helps,

    Charly
    Palm TC, T3, T5, TX, Treo680, Centro and HP Pre3
  10. #10  
    Quote Originally Posted by calebrun View Post
    Hi Rufus,


    1. Did you try the new package proposed by Rwhitby ?
    2. Did you first upgrade to root priviledge using the "su" command ?


    I used the 2nd ...

    Hope this helps,

    Charly
    I figured out option 1 by doing the Quickinstall terminal and package update and install of lzo. I thought the DL of the package from preware would do the install, my bad.

    I can now launch openvpn but now i'm working an issue with the tunnel. I get the same error for tun and tap:
    cannot ioctl tunsetiff tun: operation not permitted (errno=1)

    Still looking into why this is happening.
  11. #11  
    Unable to install this on 2.2.4
  12. #12  
    hi i am quite noob abt this.

    Okay, 1stly can I install OpenVPN or maybe PreVPNc on my HP Pre 3? (WebOS 2.2.4)
    If can,how I can install that OpenVPN? (*using WebOS quick install or how?)
    Then,what must I do?

    sorry and thanks in advance
  13. #13  
    I fixed the issue by simply creating the missing symlink in my Pre 2.2.4:

    ln -s /media/cryptofs/apps/usr/palm/applications/mobi.optware.lzo/opt/lib/liblzo2.so.2.0.0 /opt/lib/liblzo2.so.2

Tags for this Thread

Posting Permissions